Generation Framework

## org.eclipse.gmf.mappings.impl
Class TopNodeReferenceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.NodeReferenceImpl
                      org.eclipse.gmf.mappings.impl.TopNodeReferenceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, NeedsContainment, NodeReference, TopNodeReference

    public class TopNodeReferenceImpl

extends NodeReferenceImpl
implements TopNodeReference

An implementation of the model object 'Top Node Reference'.

The following features are implemented:

- `Owned Child`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected NodeMapping` `ownedChild` The cached value of the '`Owned Child`' containment reference

Fields inherited from class org.eclipse.gmf.mappings.impl.NodeReferenceImpl
`childrenFeature, containmentFeature`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `TopNodeReferenceImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetOwnedChild(NodeMapping newOwnedChild, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`NodeMapping` `getChild()`
`NodeMapping` `getOwnedChild()`
`boolean` `isSetChild()`
`void` `setOwnedChild(NodeMapping newOwnedChild)`

Methods inherited from class org.eclipse.gmf.mappings.impl.NodeReferenceImpl
`basicGetChildrenFeature, basicGetContainmentFeature, getChildrenFeature, getContainmentFeature, setChildrenFeature, setContainmentFeature`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.mappings.NodeReference
`getChildrenFeature, setChildrenFeature`

Methods inherited from interface org.eclipse.gmf.mappings.NeedsContainment
`getContainmentFeature, setContainmentFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ownedChild

    protected NodeMapping ownedChild

  The cached value of the '`Owned Child`' containment reference.

  See Also:
    `getOwnedChild()`
  ** Generated **
  Ordered:

Constructor Detail

### TopNodeReferenceImpl

    protected TopNodeReferenceImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `NodeReferenceImpl`
  ** Generated **

### getOwnedChild

    public NodeMapping getOwnedChild()

  Specified by:
    `getOwnedChild` in interface `TopNodeReference`
  Returns:
    the value of the 'Owned Child' containment reference.
  See Also:
    `TopNodeReference.setOwnedChild(NodeMapping)`, `GMFMapPackage.getTopNodeReference_OwnedChild()`
  ** Generated **

### basicSetOwnedChild

    public org.eclipse.emf.common.notify.NotificationChain basicSetOwnedChild(NodeMapping newOwnedChild,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setOwnedChild

    public void setOwnedChild(NodeMapping newOwnedChild)

  Specified by:
    `setOwnedChild` in interface `TopNodeReference`
  Parameters:
    `newOwnedChild` - the new value of the 'Owned Child' containment reference.
  See Also:
    `TopNodeReference.getOwnedChild()`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `NodeReferenceImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `NodeReferenceImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `NodeReferenceImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `NodeReferenceImpl`
  ** Generated **

### getChild

    public NodeMapping getChild()

  Description copied from class: `NodeReferenceImpl`

  Specified by:
    `getChild` in interface `NodeReference`
  Specified by:
    `getChild` in class `NodeReferenceImpl`
  Returns:
    the value of the 'Child' reference.
  See Also:
    `NodeReference.isSetChild()`, `GMFMapPackage.getNodeReference_Child()`

### isSetChild

    public boolean isSetChild()

  Description copied from class: `NodeReferenceImpl`

  Specified by:
    `isSetChild` in interface `NodeReference`
  Specified by:
    `isSetChild` in class `NodeReferenceImpl`
  Returns:
    whether the value of the 'Child' reference is set.
  See Also:
    `NodeReference.getChild()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.